/**
 * Hero (component)
 * Library card used in
 * - paragraph--hero.html.twig
 * - views-view--events.html.twig
 * - views-view--our-authors.html.twig
 */


/**
 * Global style
 */

.hero__title h1 {
    margin: 0;
    max-width: 879px;
}
@media all and (min-width: 1200px) {
  .page-node-type-page-builder .hero:not(.hero--with-image) h1 {
    font-size: 3rem;
    line-height: 62.4px;
  }
}
.hero__title p {
  max-width: 808px;
}
.hero__text {
  max-width: 680px;
  flex: 1;
}
.hero__link a {
  color: var(--color-secondary--2);
  font-family: 'Raleway';
  font-weight: 600;
  font-size: 1rem;
}
.hero__link a::before {
  content: '>';
  color: var(--color-secondary--3);
  margin-right: 3px;
  display: inline-block;
  text-decoration: none;
}
.hero__link a:hover {
  text-decoration: underline;
}

/**
 * Hero with image
 */

.hero.hero--with-image {
  padding: 0;
  position: relative;
}
.hero.hero--with-image .hero__image {
  display: flex;
  justify-content: center;
}
.hero--with-image .hero__wrapper {
  padding: 2rem 0;
}
@media all and (min-width: 700px) {
  .hero--with-image .hero__wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    color: var(--color-neutral);
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
  }
  .hero--with-image .hero__wrapper a,
  .hero--with-image .hero__wrapper p,
  .hero--with-image .hero__wrapper h1,
  .hero--with-image .hero__wrapper li {
    color: var(--color-neutral);
  }
  .hero--with-image .hero__content {
    max-width: 700px;
  }
}

/**
 * Hero used in views
 */

.view-hero {
  background-color: var(--color-primary--6);
}
.view-hero .hero {
  padding: 3rem 1rem 2rem 1rem;
}
.view-hero--authors .hero{
  padding: 3rem 1rem 4rem;
}
.view-hero .hero__content {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  flex-direction: column;
  gap: 1rem;
}
.view-hero--authors .hero__content,
.view-hero--books .hero__content {
  justify-content: initial;
  gap: 0;
}
@media all and (min-width: 700px) {
  .view-hero .hero {
    padding: 6rem 0 4rem 0;
  }
  .view-hero--authors .hero{
    padding: 6rem 0 7rem;
  }
  .view-hero .hero__content {
    flex-direction: row;
    gap: 0;
  }
  .view-hero--authors .hero__content ,
  .view-hero--books .hero__content {
    gap: 4rem;
    align-items: center;
  }
}
@media all and (min-width: 1200px) {
  .view-hero--authors .hero{
    padding: 6rem 0;
  }
}
